Bug 4174 - printer hangs sometimes & fprintfax filter not working
printer hangs sometimes & fprintfax filter not working
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: lpr (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-07-23 05:21 EDT by tc
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-05 09:38:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description tc 1999-07-23 05:21:35 EDT
My LaserJet 4MP Postscript hangs sometimes. Netscape output
is always followed by a page with the message:
ERROR: timeout
OFFENDING COMMAND: timeout
STACK:
Installing the fprintfax filter the following message is
coming from syslog, if I want to print to the fax queue:
Jul 18 15:10:20 combust lpd[12890]: fax: filter 'l' exited
(retcode=13)
Jul 18 15:10:21 combust lpd[12890]: fax: job could not be
printed (cfA096tc.zarm.uni-bremen.de)
Look also in news://linux.redhat.misc. The printcap entry
looks like:
fax:\
        :sd=/var/spool/lpd/fax:\
        :lp=/dev/null:\

:if=/var/spool/fax/fprintfax:
Using the perl script fprintfax from the command line or
with RH4.2 everything is working fine.
Regards,
TC
Comment 1 Bill Nottingham 1999-07-29 12:59:59 EDT
what mode are you running your parallel port in?
Comment 2 Bill Nottingham 1999-07-29 13:06:59 EDT
what package is this fprintfax thing from?
Comment 3 tc 1999-07-30 03:45:59 EDT
The mode I'm running my parallel port is SPP. I haven't tried ECP or
anything else yet. What mode should I use best with RH 6.0?

fprintfax is in no package from RH. But it is nice filter which let
pop up a window an M$ clients to put in the fax number and something
else and than activates faxspool for faxing. Here is the www address.
http://relay.boerde.de/~horstf/
Comment 4 tc 1999-07-30 05:10:59 EDT
When using ECP mode the error remains unchanged. After the end of each
print, there comes the message on a new page:
ERROR: timeout
OFFENDING COMMAND: timeout
STACK:
Comment 5 tc 1999-08-03 10:16:59 EDT
fprintfax is now working, because the filter needed some rights to
write a log file in /var/spool/fax

But there is still the problem with the error message after each
printout.
Comment 6 Bill Nottingham 1999-08-03 10:24:59 EDT
What are the contents of /proc/parport/0/hardware (or 1/hardware?)
Comment 7 tc 1999-08-03 10:32:59 EDT
Under /proc there is no directory called parport. Also there is no
parport directory at all in the /proc directory. Is it necessary, when
you use modules for printing?
Comment 8 Bill Nottingham 1999-08-03 10:35:59 EDT
It definitely should be there if you have something attached
to your parallel port that you're printing from. When you're
actually using the printer, what does 'lsmod' say?
Comment 9 tc 1999-08-03 10:41:59 EDT
Under /proc there is no directory called parport. Also there is no
parport directory at all in the /proc directory. Is it necessary, when
you use modules for printing?
Comment 10 tc 1999-08-03 10:45:59 EDT
Here the output from lsmod, when printing:
Module                  Size  Used by
parport_probe           2884   0  (autoclean)
parport_pc              5012   1  (autoclean)
lp                      4412   0  (autoclean)
parport                 7092   1  (autoclean) [parport_probe
parport_pc lp]
nls_iso8859-1           2020   1  (autoclean)
sound                  57208   0  (autoclean) (unused)
soundlow                 300   0  (autoclean) [sound]
soundcore               2372   3  (autoclean) [sound]
nfsd                  150936   8  (autoclean)
lockd                  30856   1  (autoclean) [nfsd]
sunrpc                 52356   1  (autoclean) [nfsd lockd]
smc-ultra               4024   1  (autoclean)
8390                    5920   0  (autoclean) [smc-ultra]
aic7xxx               106928
6
Comment 11 tc 1999-08-03 10:59:59 EDT
This is from /var/log/messages while printing. Maybe it gives some
additional information to the problem.
Aug  3 16:44:36 combust kernel: parport0: PC-style at 0x378
[SPP,ECP,ECPEPP,ECPPS2]
Aug  3 16:44:36 combust kernel: parport0: detected irq 7; use procfs
to enable interrupt-driven operation.
Aug  3 16:44:38 combust kernel: parport0: Printer, Hewlett-Packard HP
LaserJet 4MP
Aug  3 16:44:38 combust kernel: lp0: using parport0
(polling).
Comment 12 Michael K. Johnson 1999-08-03 11:19:59 EDT
Have you configured the printer to increase the timeout?  If not,
please try it.
Comment 13 tc 1999-08-03 12:00:59 EDT
This is from /var/log/messages while printing. Maybe it gives some
additional information to the problem.
Aug  3 16:44:36 combust kernel: parport0: PC-style at 0x378
[SPP,ECP,ECPEPP,ECPPS2]
Aug  3 16:44:36 combust kernel: parport0: detected irq 7; use procfs
to enable interrupt-driven operation.
Aug  3 16:44:38 combust kernel: parport0: Printer, Hewlett-Packard HP
LaserJet 4MP
Aug  3 16:44:38 combust kernel: lp0: using parport0
(polling).
Comment 14 tc 1999-08-03 12:01:59 EDT
I changed the printer timeout from 15 to 250, but everything remains
the same. :-(
Comment 15 Bill Nottingham 1999-08-03 15:04:59 EDT
OK, do the following. Remove the following modules with rmmod:

lp
parport_pc
parport_probe
parport

Add a line to your /etc/conf.modules that says:
options parport_pc io=0x378 irq=7
(if you don't have anything using that irq)

Then do 'modprobe lp'.

Does that improve the performance at all?
Comment 16 tc 1999-08-04 02:41:59 EDT
I changed the printer timeout from 15 to 250, but everything remains
the same. :-(
Comment 17 tc 1999-08-04 02:46:59 EDT
It is no question of performance at all. Anyway, adding the options
line to /etc/conf.modules still have the same effect. After each
output, there messages:
ERROR: timeout
OFFENDING COMMAND: timeout
STACK:
Do I need a new kernel? Do I need some new modules? My kernel is
2.2.5-15.
Comment 18 tc 1999-08-05 06:03:59 EDT
The problem is solved. I only had to add an EOF at the end of each
job, which can be configured by printtool. Maybe in the old printtool
under RH4.2 this was done automatically. I searched in www.deja.com
for Offending Command Timeout Linux and it is a common problem.

Thank you very much for your help. I appreciated it.
Regards, TC
Comment 19 Michael K. Johnson 1999-08-05 09:38:59 EDT
Ah.  The EOL option has been in printtool since it was re-written
(for RHL 4.1, I think; certainly RHL 4.2 had the new printtool).

Thanks for letting us know that it is fixed and including the fix
for the next person who searches bugzilla for this!

Note You need to log in before you can comment on or make changes to this bug.